<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
           xmlns:xwaffe-herstellerhaendler="http://www.xwaffe.de/schemata/herstellerhaendler/V2_2/"
           xmlns:xoev-code="http://xoev.de/schemata/code/1_0"
           xmlns:xoev-lc="http://xoev.de/latinchars/1_1/datatypes"
           xmlns:xwaffe-kern="http://www.xwaffe.de/schemata/kern/V2_2/"
           targetNamespace="http://www.xwaffe.de/schemata/herstellerhaendler/V2_2/"
           version="2.2"
           elementFormDefault="qualified"
           attributeFormDefault="unqualified">
   <xs:annotation>
      <xs:appinfo>
         <standard>
            <nameLang>XWaffe – Standard für die elektronische Datenübermittlung im deutschen Waffenwesen</nameLang>
            <nameKurz>XWaffe</nameKurz>
            <nameTechnisch>xwaffe</nameTechnisch>
            <kennung>urn:xoev-de:bmi:standard:xwaffe</kennung>
            <beschreibung>Zur Unterstützung der effizienten und wirtschaftlichen Umsetzung durchgehender medienbruchfreier elektronischer Prozesse im deutschen Waffenwesen wird der Standard XWaffe erstellt. Durch Beschluss der IMK und die Aufnahme in das Errichtungsgesetz zum NWR / die einschlägige Verwaltungsvorschriften soll der Standard eine ebenenübergreifende Verbindlichkeit erhalten. In der Version 1.0 des Standards werden die Prozesse der Phase I des Vorhabens "Deutschland Online - Nationales Waffenregister" durch den Standard unterstützt. Der Standard ist in folgenden Versionen für Weiterentwicklungen offen. Denkbar wäre hier die Modellierung weiterer Objekte im Bereich Waffen z.B. im Kontext polizeilicher kriminaltechnologischer Ermittlungen.</beschreibung>
         </standard>
         <versionStandard>
            <version>2.2</version>
            <beschreibung>Zur Unterstützung der effizienten und wirtschaftlichen Umsetzung durchgehender medienbruchfreier elektronischer Prozesse im deutschen Waffenwesen wird der Standard XWaffe erstellt. Durch Beschluss der IMK und die Aufnahme in das Errichtungsgesetz zum NWR / die einschlägige Verwaltungsvorschriften soll der Standard eine ebenenübergreifende Verbindlichkeit erhalten. Der XML-Datenaustauschstandard XWaffe wurde im Zeitraum Dezember 2011 bis April 2012 weiterentwickelt. Schwerpunkt der Weiterentwicklung zur Zwischenversion 1.2.2 waren die Änderungsbedarfe für den Standard XWaffe, die sich im Rahmen der Erarbeitung zum Entwurf eines Gesetzes zur Errichtung eines Nationalen Waffenregisters (NWRG) im Jahr 2011 und den damit verbundenen Abstimmungen mit den Ressorts und den erfolgten Stellungnahmen der Länder ergeben haben. Die Versionen 1.3, 1.4 und 1.4.1 berücksichtigen jeweils Erkenntnisse aus dem Betrieb ab 2012, ab 2013 bzw. ab 2015. Die Version 1.5 betrachtet die technische Aufteilung des Standards in einen allgemeinen Kernbereich (wiederverwendbare Bausteinen innerhalb von XWaffe) sowie den fachlichen Bereich des Nachrichtenaustausch zwischen ÖWS und der Zentralen Komponente . Des Weiteren erfolgte die Abbildung waffenrechtlicher Geschäftsvorfälle der Waffenbehörden im Zusammenspiel von ÖWS und der Zentralen Komponente: insbesondere die Abbildung von Waffenteilen. Ebenso wurden komplexe Nachrichten und die Registrierung statusverändernder Aktivitäten in einem neuen Aktivitätsobjekt ausgestaltet. Die Versionen 1.5.1 und 1.5.2 berücksichtigen Erkenntnisse aus der Umsetzung im Jahr 2017. Der Standard XWaffe wurde mit der Version 2.0 um die Kommunikation der Händler und Hersteller mit der Kopfstelle des NWR erweitert. Zusätzlich wurde die bestehende Kommunikation der ÖWS mit der Zentralen Komponente um die Kommunikation mit der Kopfstelle erweitert. Die Versionen 2.1, 2.1.1 und 2.2 berücksichtigen Erkenntnisse aus der Umsetzung in den Jahren Jahr 2017 und 2018.</beschreibung>
            <versionXOEVProfil>2.1.0_p3</versionXOEVProfil>
            <versionXOEVHandbuch>2.1.0</versionXOEVHandbuch>
            <versionXGenerator>2.6.1</versionXGenerator>
            <versionModellierungswerkzeug>18.0</versionModellierungswerkzeug>
            <nameModellierungswerkzeug>MagicDraw</nameModellierungswerkzeug>
         </versionStandard>
      </xs:appinfo>
   </xs:annotation>
   <xs:import schemaLocation="latinchars.xsd"
              namespace="http://xoev.de/latinchars/1_1/datatypes"/>
   <xs:import schemaLocation="xoev-code.xsd"
              namespace="http://xoev.de/schemata/code/1_0"/>
   <xs:import schemaLocation="xwaffe-baukasten.xsd"
              namespace="http://www.xwaffe.de/schemata/kern/V2_2/"/>
   <xs:complexType name="AngabenMeldepflichtigerType">
      <xs:annotation>
         <xs:documentation>Bestandteil jeder Meldung an die Kopfstelle sind Angaben zum Meldepflichtigen</xs:documentation>
      </xs:annotation>
      <xs:sequence>
         <xs:element name="meldepflichtbegruendendeErlaubnisID"
                     type="xwaffe-kern:String.nwrIDType">
            <xs:annotation>
               <xs:documentation>Erlaubnis-ID des Meldepflichtigen.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="meldepflichtigerErlaubnisInhaberID"
                     type="xwaffe-kern:String.nwrIDType">
            <xs:annotation>
               <xs:documentation>ID des Meldepflichtigen.</xs:documentation>
            </xs:annotation>
         </xs:element>
      </xs:sequence>
   </xs:complexType>
   <xs:complexType name="AttributeCodeType">
      <xs:annotation>
         <xs:appinfo>
            <codeliste>
               <nameLang>Attribute</nameLang>
               <nameKurz>Attribute</nameKurz>
               <nameTechnisch>attribute</nameTechnisch>
               <kennung>urn:de:mv:dvz:codelisten:attribute</kennung>
               <beschreibung>Attribute, auf die ein Fehler zutreffen kann.</beschreibung>
               <herausgebernameLang>Datenverarbeitungszentrum Mecklenburg-Vorpommern</herausgebernameLang>
               <herausgebernameKurz>DVZMV</herausgebernameKurz>
            </codeliste>
            <versionCodeliste/>
         </xs:appinfo>
      </xs:annotation>
      <xs:complexContent>
         <xs:restriction base="xoev-code:Code">
            <xs:sequence>
               <xs:element name="code" type="xs:token" form="unqualified">
                  <xs:annotation>
                     <xs:documentation>Dokumentation aus XOEV-Bibliothek:</xs:documentation>
                     <xs:documentation>In diesem XML-Element wird der Code einer Codeliste übermittelt.</xs:documentation>
                  </xs:annotation>
               </xs:element>
               <xs:element name="name"
                           minOccurs="0"
                           type="xs:normalizedString"
                           form="unqualified">
                  <xs:annotation>
                     <xs:documentation>Dokumentation aus XOEV-Bibliothek:</xs:documentation>
                     <xs:documentation>Mit diesem optionalen XML-Element kann die Beschreibung des Codes, wie in der jeweiligen Beschreibungsspalte der Codeliste vorgegeben, übermittelt werden.</xs:documentation>
                  </xs:annotation>
               </xs:element>
            </xs:sequence>
            <xs:attribute name="listURI"
                          type="xs:anyURI"
                          use="optional"
                          fixed="urn:de:mv:dvz:codelisten:attribute">
               <xs:annotation>
                  <xs:documentation>Dokumentation aus XOEV-Bibliothek:</xs:documentation>
                  <xs:documentation>Mit diesem XML-Attribut wird die Kennung der Codeliste übermittelt, in deren Kontext der jeweilige Code zu interpretieren ist. Die Kennung identifiziert die Codeliste, nicht jedoch deren Version eindeutig. Wird bereits im Rahmen des XÖV-Standards eine Kennung vorgegeben (es handelt sich in diesem Fall um einen Code-Typ 1, 2 oder 3) darf auf eine nochmalige Angabe der Kennung bei der Übermittlung eines Codes verzichtet werden. Aus diesem Grund ist das XML-Attribut listURI zunächst als optional deklariert.</xs:documentation>
               </xs:annotation>
            </xs:attribute>
            <xs:attribute name="listVersionID" type="xs:normalizedString" use="required">
               <xs:annotation>
                  <xs:documentation>Dokumentation aus XOEV-Bibliothek:</xs:documentation>
                  <xs:documentation>Die konkrete Version der zu nutzenden Codeliste wird mit diesem XML-Attribut übertragen. Analog zum listURI ist die Bestimmung der Version einer Codeliste bei der Übertragung eines Codes zwingend. Die Version kann jedoch ebenfalls bereits im XÖV-Standard festgelegt werden (es handelt sich in diesem Fall um einen Code-Typ 1 oder 2).</xs:documentation>
               </xs:annotation>
            </xs:attribute>
         </xs:restriction>
      </xs:complexContent>
   </xs:complexType>
   <xs:complexType name="ErgebnisdatenType">
      <xs:annotation>
         <xs:documentation>Angaben der neu registrierten Objekte mit ID bzw. der Status der Überlassungsabsicht.</xs:documentation>
      </xs:annotation>
      <xs:choice>
         <xs:element name="registrierteWaffeWaffenteil"
                     maxOccurs="unbounded"
                     type="xwaffe-herstellerhaendler:RegistrierteWaffeWaffenteilType">
            <xs:annotation>
               <xs:documentation>Registrierte Waffen oder Waffenteile.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="pruefungUeberlassungsabsicht"
                     type="xwaffe-herstellerhaendler:UeberlassungsabsichtCodeType">
            <xs:annotation>
               <xs:documentation>Ergebnis der Überprüfung zur Überlassungsabsicht.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="bearbeitungVerzoegert" fixed="true" type="xs:boolean">
            <xs:annotation>
               <xs:documentation>Ergebnis der Überprüfung zur Überlassungsabsicht.</xs:documentation>
            </xs:annotation>
         </xs:element>
      </xs:choice>
   </xs:complexType>
   <xs:complexType name="FehlerHinweisType">
      <xs:annotation>
         <xs:documentation>Angaben zu Fehlern und Hinweisen.</xs:documentation>
      </xs:annotation>
      <xs:sequence>
         <xs:element name="klasse"
                     type="xwaffe-herstellerhaendler:FehlerKlasseKopfstelleCodeType">
            <xs:annotation>
               <xs:documentation>Klasse des Fehlers.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="fehlerHinweisNummer"
                     type="xwaffe-herstellerhaendler:FehlernummerKopfstelleCodeType">
            <xs:annotation>
               <xs:documentation>Hinweis zum Fehler.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="betroffeneAttribute"
                     minOccurs="0"
                     maxOccurs="unbounded"
                     type="xwaffe-herstellerhaendler:AttributeCodeType">
            <xs:annotation>
               <xs:documentation>Liste der Attribute auf die der erkannte Fehler zutrifft.</xs:documentation>
            </xs:annotation>
         </xs:element>
      </xs:sequence>
   </xs:complexType>
   <xs:simpleType name="FehlerKlasseKopfstelleCodeContentType">
      <xs:annotation>
         <xs:appinfo>
            <codeliste>
               <nameLang>Fehlerklasse Kopfstelle zum Standard XWaffe</nameLang>
               <nameKurz>FehlerklasseKopfstelle</nameKurz>
               <nameTechnisch>fehlerklassekopfstelle</nameTechnisch>
               <kennung>urn:de:xwaffe:codelisten:fehlerklassekopfstelle</kennung>
               <beschreibung>Die Klasse eines Fehlers.</beschreibung>
               <herausgebernameLang>Bundesministerium des Innern, für Bau und Heimat, Referat KM5</herausgebernameLang>
               <herausgebernameKurz>BMIKM5</herausgebernameKurz>
            </codeliste>
            <versionCodeliste>
               <version>2.2</version>
               <versionXOEVHandbuch>2.1.0</versionXOEVHandbuch>
            </versionCodeliste>
         </xs:appinfo>
      </xs:annotation>
      <xs:restriction base="xs:token">
         <xs:enumeration value="0">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Fehlerfall mit Abbruch bei der Entgegennahme der Meldung</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="I">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Fehlerfälle mit Abbruch der Verarbeitung</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="II">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Beendigung der Verarbeitung ohne Rückabwicklung der Meldung</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="III">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Beendigung der Verarbeitung ohne Rückabwicklung der Meldung mit zusätzlicher Bereitstellung eines Hinweises für die zuständige Waffenbehörde</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
      </xs:restriction>
   </xs:simpleType>
   <xs:complexType name="FehlerKlasseKopfstelleCodeType">
      <xs:annotation>
         <xs:appinfo>
            <codeliste>
               <nameLang>Fehlerklasse Kopfstelle zum Standard XWaffe</nameLang>
               <nameKurz>FehlerklasseKopfstelle</nameKurz>
               <nameTechnisch>fehlerklassekopfstelle</nameTechnisch>
               <kennung>urn:de:xwaffe:codelisten:fehlerklassekopfstelle</kennung>
               <beschreibung>Die Klasse eines Fehlers.</beschreibung>
               <herausgebernameLang>Bundesministerium des Innern, für Bau und Heimat, Referat KM5</herausgebernameLang>
               <herausgebernameKurz>BMIKM5</herausgebernameKurz>
            </codeliste>
            <versionCodeliste>
               <version>2.2</version>
               <versionXOEVHandbuch>2.1.0</versionXOEVHandbuch>
            </versionCodeliste>
         </xs:appinfo>
      </xs:annotation>
      <xs:complexContent>
         <xs:restriction base="xoev-code:Code">
            <xs:sequence>
               <xs:element name="code"
                           type="xwaffe-herstellerhaendler:FehlerKlasseKopfstelleCodeContentType"
                           form="unqualified">
                  <xs:annotation>
                     <xs:documentation>Dokumentation aus XOEV-Bibliothek:</xs:documentation>
                     <xs:documentation>In diesem XML-Element wird der Code einer Codeliste übermittelt.</xs:documentation>
                  </xs:annotation>
               </xs:element>
               <xs:element name="name"
                           minOccurs="0"
                           type="xs:normalizedString"
                           form="unqualified">
                  <xs:annotation>
                     <xs:documentation>Dokumentation aus XOEV-Bibliothek:</xs:documentation>
                     <xs:documentation>Mit diesem optionalen XML-Element kann die Beschreibung des Codes, wie in der jeweiligen Beschreibungsspalte der Codeliste vorgegeben, übermittelt werden.</xs:documentation>
                  </xs:annotation>
               </xs:element>
            </xs:sequence>
            <xs:attribute name="listURI"
                          type="xs:anyURI"
                          use="optional"
                          fixed="urn:de:xwaffe:codelisten:fehlerklassekopfstelle">
               <xs:annotation>
                  <xs:documentation>Dokumentation aus XOEV-Bibliothek:</xs:documentation>
                  <xs:documentation>Mit diesem XML-Attribut wird die Kennung der Codeliste übermittelt, in deren Kontext der jeweilige Code zu interpretieren ist. Die Kennung identifiziert die Codeliste, nicht jedoch deren Version eindeutig. Wird bereits im Rahmen des XÖV-Standards eine Kennung vorgegeben (es handelt sich in diesem Fall um einen Code-Typ 1, 2 oder 3) darf auf eine nochmalige Angabe der Kennung bei der Übermittlung eines Codes verzichtet werden. Aus diesem Grund ist das XML-Attribut listURI zunächst als optional deklariert.</xs:documentation>
               </xs:annotation>
            </xs:attribute>
            <xs:attribute name="listVersionID"
                          type="xs:normalizedString"
                          use="optional"
                          fixed="2.2">
               <xs:annotation>
                  <xs:documentation>Dokumentation aus XOEV-Bibliothek:</xs:documentation>
                  <xs:documentation>Die konkrete Version der zu nutzenden Codeliste wird mit diesem XML-Attribut übertragen. Analog zum listURI ist die Bestimmung der Version einer Codeliste bei der Übertragung eines Codes zwingend. Die Version kann jedoch ebenfalls bereits im XÖV-Standard festgelegt werden (es handelt sich in diesem Fall um einen Code-Typ 1 oder 2).</xs:documentation>
               </xs:annotation>
            </xs:attribute>
         </xs:restriction>
      </xs:complexContent>
   </xs:complexType>
   <xs:simpleType name="FehlernummerKopfstelleCodeContentType">
      <xs:annotation>
         <xs:appinfo>
            <codeliste>
               <nameLang>Fehlernummer Kopfstelle zum Standard XWaffe</nameLang>
               <nameKurz>FehlernummerKopfstelle</nameKurz>
               <nameTechnisch>fehlernummerkopfstelle</nameTechnisch>
               <kennung>urn:de:xwaffe:codelisten:fehlernummerkopfstelle</kennung>
               <beschreibung>Ergebnis der Plausibilitätsprüfung bei der Verarbeitung der Meldungen</beschreibung>
               <herausgebernameLang>Bundesministerium des Innern, für Bau und Heimat, Referat KM5</herausgebernameLang>
               <herausgebernameKurz>BMIKM5</herausgebernameKurz>
            </codeliste>
            <versionCodeliste>
               <version>2.2</version>
               <versionXOEVHandbuch>2.1.0</versionXOEVHandbuch>
            </versionCodeliste>
         </xs:appinfo>
      </xs:annotation>
      <xs:restriction base="xs:token">
         <xs:enumeration value="1">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die gemeldete Erlaubnis besitzt einen für diese Meldung unzulässigen Status.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="10">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die gemeldete Erlaubnis besitzt einen für diese Meldung unzulässigen Erlaubnistyp.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="12">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die in der Meldung angegebene Person besitzt einen unzulässigen Status.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="13">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die gemeldete Personen-ID ist nicht bekannt.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="14">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die gemeldete Transaktions-ID ist nicht dem Meldepflichtigen zugeordnet.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="15">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die gemeldete Transaktions-ID ist nicht mit der Meldungsart und den IDs der zugehörigen Aktivitätsobjekte gespeichert.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="16">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die gemeldete Transaktions-ID bezieht sich auf eine Meldung von unzulässiger Meldungsart.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="17">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die gemeldete Waffe/Waffenteil besitzt einen für diese Meldung unzulässigen Status.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="18">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die gemeldete Waffe/Waffenteil besitzt einen für diese Meldung unzulässigen Status.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="19">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die gemeldete Waffe/Waffenteil besitzt einen für diese Meldung unzulässigen Status.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="20">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Der gemeldeten Waffe sind noch Waffenteile als "zugehörig zu Basiswaffe" zugeordnet.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="21">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Der gemeldeten Waffe/Waffenteil ist kein Waffenteil als "verbaut in" zugeordnet.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="22">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die ID der gemeldeten Waffe/Waffenteil ist nicht bekannt.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="23">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die gemeldete Waffe/Waffenteil ist einer Erlaubnis zugeordnet, für die der Meldepflichtige nicht Erlaubnisinhaber ist.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="24">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die als neu zu registrierend angegebene Waffe/Waffenteil ist bereits registriert.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="25">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die gemeldete Waffe/Waffenteil ist bereits registriert.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="26">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die gemeldeten Daten zur Identitätsprüfung der Waffe/Waffenteil stimmen nicht mit den unter der angegebenen Waffen-/Waffenteil-ID gespeicherten Daten überein.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="27">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die Seriennummer der gemeldeten Waffe/Waffenteil stimmt nicht mit der Seriennummer der unter der gemeldeten ID gespeicherten Waffe überein.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="28">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Das gemeldete Waffenteil ist bereits einer Waffe/einem Waffenteil als "verbaut in" zugeordnet.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="29">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Das gemeldete Waffenteil ist der angegebenen Waffe nicht als "verbaut in" zugeordnet.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="3">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die gemeldete Erlaubnis ist von einem für diese Meldung unzulässigen Erlaubnistyp.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="30">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Als verbaut gemeldete Waffenteile sind bereits (teilweise) registriert.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="31">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Es existiert kein Waffenverweis, der die gemeldete Waffe/Waffenteil mit der angegebenen Erlaubnis verknüpft.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="32">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Der Meldende ist nicht berechtigt, eine Meldung dieser Meldungsart abzugeben.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="33">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Das gemeldete Datum liegt in der Zukunft.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="34">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Das gemeldete Datum der beabsichtigten Überlassung liegt in der Vergangenheit.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="35">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Der Meldende ist nicht dem in der Meldung angegebenen Meldepflichtigen und/oder dessen Erlaubnis zugeordnet.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="36">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die gemeldeten NWR-IDs sind (teilweise) ungültig.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="37">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die ausgefüllten Felder der Meldung enthalten (teilweise) ungültige Werte.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="38">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>In der Meldung wurden nicht alle Pflichtfelder ausgefüllt.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="39">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>In der Meldung wurden nicht alle wesentlichen Waffenteile als zum Einbau vorgesehene oder verbaute Waffenteile angegeben.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="4">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die gemeldete Erlaubnis des Erwerbers ist von einem für diese Meldung unzulässigen Erlaubnistyp.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="42">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die Meldung ist nicht innerhalb der gesetzlichen Meldefrist erfolgt.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="43">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Es wurden nicht alle notwendigen Daten zur gemeldeten Waffe oder zum gemeldeten Waffenteil angegeben.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="44">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die gemeldete Erwerbserlaubnis besitzt zum angegebenen Überlassungsdatum keine Gültigkeit.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="45">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die gemeldete Waffe/Waffenteil besitzt einen für diese Meldung unzulässigen Status.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="46">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die Meldung ist nicht konform zum XML-Schema.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="47">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die Rückabwicklung einer Meldung ist teilweise oder vollständig fehlgeschlagen.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
               <xs:documentation>Initiierende Meldeprozesse: Rückabwicklung</xs:documentation>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="48">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die Registrierung der Meldung ist fehlgeschlagen.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="49">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die TransaktionsID ist ungültig.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="50">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Der Transaktionsstatus ist ungültig.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="51">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die Rückabwicklungsfrist ist abgelaufen.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="6">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die gemeldete Erwerbserlaubnis ist nicht dem gemeldeten Erwerber zugeordnet.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="7">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die gemeldete Erlaubnis-ID ist nicht bekannt.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="8">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die gemeldete Erlaubnis ist von einem für diese Meldung unzulässigen Erlaubnistyp.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="9">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Die gemeldete Erlaubnis-ID ist nicht dem angegebenen Meldepflichtigen zugeordnet.</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
      </xs:restriction>
   </xs:simpleType>
   <xs:complexType name="FehlernummerKopfstelleCodeType">
      <xs:annotation>
         <xs:appinfo>
            <codeliste>
               <nameLang>Fehlernummer Kopfstelle zum Standard XWaffe</nameLang>
               <nameKurz>FehlernummerKopfstelle</nameKurz>
               <nameTechnisch>fehlernummerkopfstelle</nameTechnisch>
               <kennung>urn:de:xwaffe:codelisten:fehlernummerkopfstelle</kennung>
               <beschreibung>Ergebnis der Plausibilitätsprüfung bei der Verarbeitung der Meldungen</beschreibung>
               <herausgebernameLang>Bundesministerium des Innern, für Bau und Heimat, Referat KM5</herausgebernameLang>
               <herausgebernameKurz>BMIKM5</herausgebernameKurz>
            </codeliste>
            <versionCodeliste>
               <version>2.2</version>
               <versionXOEVHandbuch>2.1.0</versionXOEVHandbuch>
            </versionCodeliste>
         </xs:appinfo>
         <xs:documentation>Ergebnis der Plausibilitätsprüfung bei der Verarbeitung der Meldungen</xs:documentation>
      </xs:annotation>
      <xs:complexContent>
         <xs:restriction base="xoev-code:Code">
            <xs:sequence>
               <xs:element name="code"
                           type="xwaffe-herstellerhaendler:FehlernummerKopfstelleCodeContentType"
                           form="unqualified">
                  <xs:annotation>
                     <xs:documentation>Dokumentation aus XOEV-Bibliothek:</xs:documentation>
                     <xs:documentation>In diesem XML-Element wird der Code einer Codeliste übermittelt.</xs:documentation>
                  </xs:annotation>
               </xs:element>
               <xs:element name="name"
                           minOccurs="0"
                           type="xs:normalizedString"
                           form="unqualified">
                  <xs:annotation>
                     <xs:documentation>Dokumentation aus XOEV-Bibliothek:</xs:documentation>
                     <xs:documentation>Mit diesem optionalen XML-Element kann die Beschreibung des Codes, wie in der jeweiligen Beschreibungsspalte der Codeliste vorgegeben, übermittelt werden.</xs:documentation>
                  </xs:annotation>
               </xs:element>
            </xs:sequence>
            <xs:attribute name="listURI"
                          type="xs:anyURI"
                          use="optional"
                          fixed="urn:de:xwaffe:codelisten:fehlernummerkopfstelle">
               <xs:annotation>
                  <xs:documentation>Dokumentation aus XOEV-Bibliothek:</xs:documentation>
                  <xs:documentation>Mit diesem XML-Attribut wird die Kennung der Codeliste übermittelt, in deren Kontext der jeweilige Code zu interpretieren ist. Die Kennung identifiziert die Codeliste, nicht jedoch deren Version eindeutig. Wird bereits im Rahmen des XÖV-Standards eine Kennung vorgegeben (es handelt sich in diesem Fall um einen Code-Typ 1, 2 oder 3) darf auf eine nochmalige Angabe der Kennung bei der Übermittlung eines Codes verzichtet werden. Aus diesem Grund ist das XML-Attribut listURI zunächst als optional deklariert.</xs:documentation>
               </xs:annotation>
            </xs:attribute>
            <xs:attribute name="listVersionID"
                          type="xs:normalizedString"
                          use="optional"
                          fixed="2.2">
               <xs:annotation>
                  <xs:documentation>Dokumentation aus XOEV-Bibliothek:</xs:documentation>
                  <xs:documentation>Die konkrete Version der zu nutzenden Codeliste wird mit diesem XML-Attribut übertragen. Analog zum listURI ist die Bestimmung der Version einer Codeliste bei der Übertragung eines Codes zwingend. Die Version kann jedoch ebenfalls bereits im XÖV-Standard festgelegt werden (es handelt sich in diesem Fall um einen Code-Typ 1 oder 2).</xs:documentation>
               </xs:annotation>
            </xs:attribute>
         </xs:restriction>
      </xs:complexContent>
   </xs:complexType>
   <xs:simpleType name="MeldungsartCodeContentType">
      <xs:annotation>
         <xs:appinfo>
            <codeliste>
               <nameLang>Meldungsart zum Standard XWaffe</nameLang>
               <nameKurz>Meldungsart</nameKurz>
               <nameTechnisch>meldungsart</nameTechnisch>
               <kennung>urn:de:xwaffe:codelisten:meldungsart</kennung>
               <beschreibung>Die Art der Meldung.</beschreibung>
               <herausgebernameLang>Bundesministerium des Innern, für Bau und Heimat, Referat KM5</herausgebernameLang>
               <herausgebernameKurz>BMIKM5</herausgebernameKurz>
            </codeliste>
            <versionCodeliste>
               <version>2.2</version>
               <versionXOEVHandbuch>2.1.0</versionXOEVHandbuch>
            </versionCodeliste>
         </xs:appinfo>
      </xs:annotation>
      <xs:restriction base="xs:token">
         <xs:enumeration value="1">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Bestand</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="12">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Abhandenkommen</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="13">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Unbrauchbarmachung</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="14">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Blockierung</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="15">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Vernichtung / Zerstörung</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="16">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Austausch eines Waffenteils</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="17">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Umbau</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="18">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Zerlegung</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="19">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Rückabwicklung einer Meldung</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="2">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Produktionsplanung</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="21">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>DeBlockierung</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="3">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Fertigstellung</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="4">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Fertigstellung nach Produktionsplanung</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="5">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Storno einer Produktionsplanung oder eines Erwerbsavis</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="6">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Hinzufügen eines Waffenteils</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="7">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Überlassung</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="8">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Erwerb</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="9">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Uberlassungsabsicht</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
      </xs:restriction>
   </xs:simpleType>
   <xs:complexType name="MeldungsartCodeType">
      <xs:annotation>
         <xs:appinfo>
            <codeliste>
               <nameLang>Meldungsart zum Standard XWaffe</nameLang>
               <nameKurz>Meldungsart</nameKurz>
               <nameTechnisch>meldungsart</nameTechnisch>
               <kennung>urn:de:xwaffe:codelisten:meldungsart</kennung>
               <beschreibung>Die Art der Meldung.</beschreibung>
               <herausgebernameLang>Bundesministerium des Innern, für Bau und Heimat, Referat KM5</herausgebernameLang>
               <herausgebernameKurz>BMIKM5</herausgebernameKurz>
            </codeliste>
            <versionCodeliste>
               <version>2.2</version>
               <versionXOEVHandbuch>2.1.0</versionXOEVHandbuch>
            </versionCodeliste>
         </xs:appinfo>
      </xs:annotation>
      <xs:complexContent>
         <xs:restriction base="xoev-code:Code">
            <xs:sequence>
               <xs:element name="code"
                           type="xwaffe-herstellerhaendler:MeldungsartCodeContentType"
                           form="unqualified">
                  <xs:annotation>
                     <xs:documentation>Dokumentation aus XOEV-Bibliothek:</xs:documentation>
                     <xs:documentation>In diesem XML-Element wird der Code einer Codeliste übermittelt.</xs:documentation>
                  </xs:annotation>
               </xs:element>
               <xs:element name="name"
                           minOccurs="0"
                           type="xs:normalizedString"
                           form="unqualified">
                  <xs:annotation>
                     <xs:documentation>Dokumentation aus XOEV-Bibliothek:</xs:documentation>
                     <xs:documentation>Mit diesem optionalen XML-Element kann die Beschreibung des Codes, wie in der jeweiligen Beschreibungsspalte der Codeliste vorgegeben, übermittelt werden.</xs:documentation>
                  </xs:annotation>
               </xs:element>
            </xs:sequence>
            <xs:attribute name="listURI"
                          type="xs:anyURI"
                          use="optional"
                          fixed="urn:de:xwaffe:codelisten:meldungsart">
               <xs:annotation>
                  <xs:documentation>Dokumentation aus XOEV-Bibliothek:</xs:documentation>
                  <xs:documentation>Mit diesem XML-Attribut wird die Kennung der Codeliste übermittelt, in deren Kontext der jeweilige Code zu interpretieren ist. Die Kennung identifiziert die Codeliste, nicht jedoch deren Version eindeutig. Wird bereits im Rahmen des XÖV-Standards eine Kennung vorgegeben (es handelt sich in diesem Fall um einen Code-Typ 1, 2 oder 3) darf auf eine nochmalige Angabe der Kennung bei der Übermittlung eines Codes verzichtet werden. Aus diesem Grund ist das XML-Attribut listURI zunächst als optional deklariert.</xs:documentation>
               </xs:annotation>
            </xs:attribute>
            <xs:attribute name="listVersionID"
                          type="xs:normalizedString"
                          use="optional"
                          fixed="2.2">
               <xs:annotation>
                  <xs:documentation>Dokumentation aus XOEV-Bibliothek:</xs:documentation>
                  <xs:documentation>Die konkrete Version der zu nutzenden Codeliste wird mit diesem XML-Attribut übertragen. Analog zum listURI ist die Bestimmung der Version einer Codeliste bei der Übertragung eines Codes zwingend. Die Version kann jedoch ebenfalls bereits im XÖV-Standard festgelegt werden (es handelt sich in diesem Fall um einen Code-Typ 1 oder 2).</xs:documentation>
               </xs:annotation>
            </xs:attribute>
         </xs:restriction>
      </xs:complexContent>
   </xs:complexType>
   <xs:complexType name="MeldungsdatenType">
      <xs:annotation>
         <xs:documentation>Daten der Aktivität, unterschieden noch einzelnen Kontexten</xs:documentation>
      </xs:annotation>
      <xs:choice>
         <xs:element name="produktionsplanungsanzeige"
                     type="xwaffe-kern:AngabenProduktionsplanungsanzeigeType"
                     form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zur Produktionsplanungsanzeige.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="fertigmeldungsanzeige"
                     type="xwaffe-kern:AngabenFertigmeldungType"
                     form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zur Fertigmeldung.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="produktionsAvisStorno"
                     type="xwaffe-kern:AngabenProduktionsstornoType"
                     form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zum Storno der Produktionsplanung.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="bestandsanzeige"
                     type="xwaffe-kern:AngabenBestandsanzeigeType"
                     form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zur Bestandsanzeige.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="fertigstellungsdaten"
                     type="xwaffe-kern:AngabenFertigstellungType"
                     form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zur Fertigstellung.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="ueberlassung"
                     type="xwaffe-kern:AngabenUeberlassungType"
                     form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zur Überlassung.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="erwerb"
                     type="xwaffe-kern:AngabenErwerbType"
                     form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zum Erwerb.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="ueberlassungsabsicht"
                     type="xwaffe-kern:AngabenUeberlassungType"
                     form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zur Überlassungsabsicht.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="abhandenkommen"
                     type="xwaffe-kern:AngabenAbhandenkommenType"
                     form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zum Abhandenkommen.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="vernichtung"
                     type="xwaffe-kern:AngabenVernichtungType"
                     form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zur Vernichtung.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="waffenteilaustausch"
                     type="xwaffe-kern:AngabenWaffenteilaustauschType"
                     form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zum Austausch eines Waffenteils.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="umbau" type="xwaffe-kern:AngabenUmbauType" form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zum Umbau.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="zerlegung"
                     type="xwaffe-kern:AngabenZerlegungType"
                     form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zur Zerlegung einer Waffe oder eines Waffenteils.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="unbrauchbarmachung"
                     type="xwaffe-kern:AngabenUnbrauchbarmachungType"
                     form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zur Unbrauchbarmachung.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="blockierung"
                     minOccurs="0"
                     type="xwaffe-kern:AngabenBlockierungType"
                     form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zur Blockierung.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="identifizierung"
                     type="xwaffe-kern:AngabenIdentifizierungType"
                     form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zur Identifizierung.</xs:documentation>
            </xs:annotation>
         </xs:element>
      </xs:choice>
   </xs:complexType>
   <xs:complexType name="MeldungskopfType">
      <xs:annotation>
         <xs:documentation>Der Meldungskopf ist Bestandteil jeder Nachricht im Austausch zwischen IT-Systemen der Händler / Hersteller und der Kopfstelle.</xs:documentation>
      </xs:annotation>
      <xs:complexContent>
         <xs:restriction base="xwaffe-kern:KopfType">
            <xs:sequence>
               <xs:element name="anwenderkennung"
                           type="xwaffe-kern:StringLatin100Type"
                           form="unqualified">
                  <xs:annotation>
                     <xs:documentation>Die Anwenderkennung stellt Informationen über die absendende Person zur Verfügung und dient der Protokollierung. Im Rahmen der Kommunikation mit der zentralen Komponente kann anhand dieser Kennung die absendende Person eindeutig identifiziert werden. Typischerweise wird entweder die Anwenderkennung der ÖWS oder die Windowsanwenderkennung übermittelt. Im Falle der Übermittlung einer Meldung durch Händler- und Hersteller an die Kopfstelle enthält die Anwenderkennung die NWR-ID des meldepflichtigen Inhabers der waffenrechtlichen Eraubnis. Im Falle der Übermittlung der Nachricht durch die Kopfstelle an die Zentrale Komponente enthält die Anwenderkennung die NWR-ID des meldepflichtigen Inhabers der waffenrechtlichen Erlaubnis.</xs:documentation>
                  </xs:annotation>
               </xs:element>
               <xs:element name="erstellungszeitpunkt" type="xs:dateTime" form="unqualified">
                  <xs:annotation>
                     <xs:documentation>Datum, zu dem die Nachricht erstellt wurde. Anmerkung: Sende- und Empfangszeitpunkt können in der Regel aus der Transportschicht entnommen werden. Beispiel: 2002-05-30T09:30:10.5 Format: JJJJ-MM-DD'T'HH:mm</xs:documentation>
                  </xs:annotation>
               </xs:element>
               <xs:element name="nachrichtenID"
                           type="xwaffe-kern:String.transaktionIDType"
                           form="unqualified">
                  <xs:annotation>
                     <xs:documentation>Eindeutige ID (UUID) zur Identifikationen einer Nachricht. Hinweis: Ab XWaffe 2.0 werden die ehemals im Feld NachrichtenID übertragenen Informationen im Feld lfdNrNachrichtInVorgang übermittelt.</xs:documentation>
                  </xs:annotation>
               </xs:element>
               <xs:element name="softwarekennung"
                           minOccurs="0"
                           type="xoev-lc:String.Latin"
                           form="unqualified">
                  <xs:annotation>
                     <xs:documentation>Kennung der sendenden Software inklusive eingesetzter Version.</xs:documentation>
                  </xs:annotation>
               </xs:element>
            </xs:sequence>
         </xs:restriction>
      </xs:complexContent>
   </xs:complexType>
   <xs:complexType name="RegistrierteWaffeWaffenteilType">
      <xs:annotation>
         <xs:documentation>Registrierte Waffe oder Waffenteil.</xs:documentation>
      </xs:annotation>
      <xs:sequence>
         <xs:element name="laufendeNummer" type="xs:integer">
            <xs:annotation>
               <xs:documentation>laufende Nummer der registrierte Waffe oder Waffenteils.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="registrierteWaffeWaffenteilID"
                     type="xwaffe-kern:String.nwrIDType">
            <xs:annotation>
               <xs:documentation>ID der registrierten Waffe oder Waffenteils.</xs:documentation>
            </xs:annotation>
         </xs:element>
      </xs:sequence>
   </xs:complexType>
   <xs:complexType name="TransaktionIdentifikationType">
      <xs:annotation>
         <xs:documentation>Daten zu einer Transaktion.</xs:documentation>
      </xs:annotation>
      <xs:sequence>
         <xs:element name="transaktionID" type="xwaffe-kern:String.transaktionIDType">
            <xs:annotation>
               <xs:documentation>Transaktionsnummer der Meldung</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="meldungsart" type="xwaffe-herstellerhaendler:MeldungsartCodeType">
            <xs:annotation>
               <xs:documentation>Art der Meldung, die rückabgewickelt werden soll.</xs:documentation>
            </xs:annotation>
         </xs:element>
      </xs:sequence>
   </xs:complexType>
   <xs:complexType name="TransaktionsinformationType">
      <xs:annotation>
         <xs:documentation>Transaktiondaten der Kopfstelle</xs:documentation>
      </xs:annotation>
      <xs:sequence>
         <xs:element name="transaktionsstatus"
                     type="xwaffe-herstellerhaendler:TransaktionsstatusCodeType">
            <xs:annotation>
               <xs:documentation>Status der Transaktion.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="meldungsdaten" type="xwaffe-herstellerhaendler:MeldungsdatenType">
            <xs:annotation>
               <xs:documentation>Die Daten der vom Meldepflichtigen übermittelten Meldung,</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="meldungseingang" type="xs:dateTime">
            <xs:annotation>
               <xs:documentation>Datum des Meldungseinganges in der Kopfstelle</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="ergebnisBereitgestelltAm" minOccurs="0" type="xs:dateTime">
            <xs:annotation>
               <xs:documentation>Datum der Bereitstellung des durchgeführten Verarbeitung mit dem Transaktionstatus "Ergebnis bereitgestellt".</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="ersterErgebnisabruf" minOccurs="0" type="xs:dateTime">
            <xs:annotation>
               <xs:documentation>Datum des ersten Abrufes des verarbeiteten Transaktionsergebnisses</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="lesebestaetigungErhaltenAm" minOccurs="0" type="xs:dateTime">
            <xs:annotation>
               <xs:documentation>Datum der Lesebestätigungsmeldung des Meldenden</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="rueckabgewickeltDurchTransaktionID"
                     minOccurs="0"
                     type="xwaffe-kern:String.transaktionIDType">
            <xs:annotation>
               <xs:documentation>ID der durch HuH gesandten Nachricht zur Rückabwicklung der Transaktion</xs:documentation>
            </xs:annotation>
         </xs:element>
      </xs:sequence>
   </xs:complexType>
   <xs:complexType name="TransaktionsstandType">
      <xs:annotation>
         <xs:documentation>Stand einer Transaktion, die den Anfrageparametern entspricht</xs:documentation>
      </xs:annotation>
      <xs:sequence>
         <xs:element name="transaktionID" type="xwaffe-kern:String.transaktionIDType">
            <xs:annotation>
               <xs:documentation>Transaktionsnummer der Meldung</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="transaktionsstatus"
                     type="xwaffe-herstellerhaendler:TransaktionsstatusCodeType">
            <xs:annotation>
               <xs:documentation>Status der Transaktion.</xs:documentation>
            </xs:annotation>
         </xs:element>
      </xs:sequence>
   </xs:complexType>
   <xs:simpleType name="TransaktionsstatusCodeContentType">
      <xs:annotation>
         <xs:appinfo>
            <codeliste>
               <nameLang>Transaktionsstatus zum Standard XWaffe</nameLang>
               <nameKurz>Transaktionsstatus</nameKurz>
               <nameTechnisch>transaktionsstatus</nameTechnisch>
               <kennung>urn:de:xwaffe:codelisten:transaktionsstatus</kennung>
               <beschreibung>Der Status der Transaktion.</beschreibung>
               <herausgebernameLang>Bundesministerium des Innern, für Bau und Heimat, Referat KM5</herausgebernameLang>
               <herausgebernameKurz>BMIKM5</herausgebernameKurz>
            </codeliste>
            <versionCodeliste>
               <version>2.2</version>
               <versionXOEVHandbuch>2.1.0</versionXOEVHandbuch>
            </versionCodeliste>
         </xs:appinfo>
      </xs:annotation>
      <xs:restriction base="xs:token">
         <xs:enumeration value="1">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Entgegengenommen</wertErsteBeschreibungsspalte>
               </xs:appinfo>
               <xs:documentation>Status der Transaktion, nachdem die Meldung die initiale Prüfung durch das Händler-Portal bestanden und eine Transaktions-ID erhalten hat.</xs:documentation>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="2">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Bearbeitung verzögert</wertErsteBeschreibungsspalte>
               </xs:appinfo>
               <xs:documentation>Status der Transaktion, wenn aufgrund technischer Probleme die Verarbeitung der Transaktion angehalten wurde.</xs:documentation>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="3">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Ergebnis bereitgestellt</wertErsteBeschreibungsspalte>
               </xs:appinfo>
               <xs:documentation>Status der Transaktion, wenn die Verarbeitung der Meldung abgeschlossen ist und das Ergebnis zum Abruf durch den Meldenden bereitsteht.</xs:documentation>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="4">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Ergebnis gelesen</wertErsteBeschreibungsspalte>
               </xs:appinfo>
               <xs:documentation>Status der Transaktion, wenn die Verarbeitung der Meldung abgeschlossen ist und der Meldende das Ergebnis gelesen hat.</xs:documentation>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="5">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Historisch</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="6">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Unbekannt</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
      </xs:restriction>
   </xs:simpleType>
   <xs:complexType name="TransaktionsstatusCodeType">
      <xs:annotation>
         <xs:appinfo>
            <codeliste>
               <nameLang>Transaktionsstatus zum Standard XWaffe</nameLang>
               <nameKurz>Transaktionsstatus</nameKurz>
               <nameTechnisch>transaktionsstatus</nameTechnisch>
               <kennung>urn:de:xwaffe:codelisten:transaktionsstatus</kennung>
               <beschreibung>Der Status der Transaktion.</beschreibung>
               <herausgebernameLang>Bundesministerium des Innern, für Bau und Heimat, Referat KM5</herausgebernameLang>
               <herausgebernameKurz>BMIKM5</herausgebernameKurz>
            </codeliste>
            <versionCodeliste>
               <version>2.2</version>
               <versionXOEVHandbuch>2.1.0</versionXOEVHandbuch>
            </versionCodeliste>
         </xs:appinfo>
      </xs:annotation>
      <xs:complexContent>
         <xs:restriction base="xoev-code:Code">
            <xs:sequence>
               <xs:element name="code"
                           type="xwaffe-herstellerhaendler:TransaktionsstatusCodeContentType"
                           form="unqualified">
                  <xs:annotation>
                     <xs:documentation>Dokumentation aus XOEV-Bibliothek:</xs:documentation>
                     <xs:documentation>In diesem XML-Element wird der Code einer Codeliste übermittelt.</xs:documentation>
                  </xs:annotation>
               </xs:element>
               <xs:element name="name"
                           minOccurs="0"
                           type="xs:normalizedString"
                           form="unqualified">
                  <xs:annotation>
                     <xs:documentation>Dokumentation aus XOEV-Bibliothek:</xs:documentation>
                     <xs:documentation>Mit diesem optionalen XML-Element kann die Beschreibung des Codes, wie in der jeweiligen Beschreibungsspalte der Codeliste vorgegeben, übermittelt werden.</xs:documentation>
                  </xs:annotation>
               </xs:element>
            </xs:sequence>
            <xs:attribute name="listURI"
                          type="xs:anyURI"
                          use="optional"
                          fixed="urn:de:xwaffe:codelisten:transaktionsstatus">
               <xs:annotation>
                  <xs:documentation>Dokumentation aus XOEV-Bibliothek:</xs:documentation>
                  <xs:documentation>Mit diesem XML-Attribut wird die Kennung der Codeliste übermittelt, in deren Kontext der jeweilige Code zu interpretieren ist. Die Kennung identifiziert die Codeliste, nicht jedoch deren Version eindeutig. Wird bereits im Rahmen des XÖV-Standards eine Kennung vorgegeben (es handelt sich in diesem Fall um einen Code-Typ 1, 2 oder 3) darf auf eine nochmalige Angabe der Kennung bei der Übermittlung eines Codes verzichtet werden. Aus diesem Grund ist das XML-Attribut listURI zunächst als optional deklariert.</xs:documentation>
               </xs:annotation>
            </xs:attribute>
            <xs:attribute name="listVersionID"
                          type="xs:normalizedString"
                          use="optional"
                          fixed="2.2">
               <xs:annotation>
                  <xs:documentation>Dokumentation aus XOEV-Bibliothek:</xs:documentation>
                  <xs:documentation>Die konkrete Version der zu nutzenden Codeliste wird mit diesem XML-Attribut übertragen. Analog zum listURI ist die Bestimmung der Version einer Codeliste bei der Übertragung eines Codes zwingend. Die Version kann jedoch ebenfalls bereits im XÖV-Standard festgelegt werden (es handelt sich in diesem Fall um einen Code-Typ 1 oder 2).</xs:documentation>
               </xs:annotation>
            </xs:attribute>
         </xs:restriction>
      </xs:complexContent>
   </xs:complexType>
   <xs:simpleType name="UeberlassungsabsichtCodeContentType">
      <xs:annotation>
         <xs:appinfo>
            <codeliste>
               <nameLang>Überlassungsabsicht zum Standard XWaffe</nameLang>
               <nameKurz>Überlassungsabsicht</nameKurz>
               <nameTechnisch>ueberlassungsabsicht</nameTechnisch>
               <kennung>urn:de:xwaffe:codelisten:ueberlassungsabsicht</kennung>
               <beschreibung>Die Art der Überlassungsabsicht.</beschreibung>
               <herausgebernameLang>Bundesministerium des Innern, für Bau und Heimat, Referat KM5</herausgebernameLang>
               <herausgebernameKurz>BMIKM5</herausgebernameKurz>
            </codeliste>
            <versionCodeliste>
               <version>2.2</version>
               <versionXOEVHandbuch>2.1.0</versionXOEVHandbuch>
            </versionCodeliste>
         </xs:appinfo>
      </xs:annotation>
      <xs:restriction base="xs:token">
         <xs:enumeration value="1">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Erwerbserlaubnis zum angegebenen Überlassungsdatum nicht abgelaufen</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="2">
            <xs:annotation>
               <xs:appinfo>
                  <wertErsteBeschreibungsspalte>Erwerbserlaubnis zum angegebenen Überlassungsdatum abgelaufen</wertErsteBeschreibungsspalte>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
      </xs:restriction>
   </xs:simpleType>
   <xs:complexType name="UeberlassungsabsichtCodeType">
      <xs:annotation>
         <xs:appinfo>
            <codeliste>
               <nameLang>Überlassungsabsicht zum Standard XWaffe</nameLang>
               <nameKurz>Überlassungsabsicht</nameKurz>
               <nameTechnisch>ueberlassungsabsicht</nameTechnisch>
               <kennung>urn:de:xwaffe:codelisten:ueberlassungsabsicht</kennung>
               <beschreibung>Die Art der Überlassungsabsicht.</beschreibung>
               <herausgebernameLang>Bundesministerium des Innern, für Bau und Heimat, Referat KM5</herausgebernameLang>
               <herausgebernameKurz>BMIKM5</herausgebernameKurz>
            </codeliste>
            <versionCodeliste>
               <version>2.2</version>
               <versionXOEVHandbuch>2.1.0</versionXOEVHandbuch>
            </versionCodeliste>
         </xs:appinfo>
      </xs:annotation>
      <xs:complexContent>
         <xs:restriction base="xoev-code:Code">
            <xs:sequence>
               <xs:element name="code"
                           type="xwaffe-herstellerhaendler:UeberlassungsabsichtCodeContentType"
                           form="unqualified">
                  <xs:annotation>
                     <xs:documentation>Dokumentation aus XOEV-Bibliothek:</xs:documentation>
                     <xs:documentation>In diesem XML-Element wird der Code einer Codeliste übermittelt.</xs:documentation>
                  </xs:annotation>
               </xs:element>
               <xs:element name="name"
                           minOccurs="0"
                           type="xs:normalizedString"
                           form="unqualified">
                  <xs:annotation>
                     <xs:documentation>Dokumentation aus XOEV-Bibliothek:</xs:documentation>
                     <xs:documentation>Mit diesem optionalen XML-Element kann die Beschreibung des Codes, wie in der jeweiligen Beschreibungsspalte der Codeliste vorgegeben, übermittelt werden.</xs:documentation>
                  </xs:annotation>
               </xs:element>
            </xs:sequence>
            <xs:attribute name="listURI"
                          type="xs:anyURI"
                          use="optional"
                          fixed="urn:de:xwaffe:codelisten:ueberlassungsabsicht">
               <xs:annotation>
                  <xs:documentation>Dokumentation aus XOEV-Bibliothek:</xs:documentation>
                  <xs:documentation>Mit diesem XML-Attribut wird die Kennung der Codeliste übermittelt, in deren Kontext der jeweilige Code zu interpretieren ist. Die Kennung identifiziert die Codeliste, nicht jedoch deren Version eindeutig. Wird bereits im Rahmen des XÖV-Standards eine Kennung vorgegeben (es handelt sich in diesem Fall um einen Code-Typ 1, 2 oder 3) darf auf eine nochmalige Angabe der Kennung bei der Übermittlung eines Codes verzichtet werden. Aus diesem Grund ist das XML-Attribut listURI zunächst als optional deklariert.</xs:documentation>
               </xs:annotation>
            </xs:attribute>
            <xs:attribute name="listVersionID"
                          type="xs:normalizedString"
                          use="optional"
                          fixed="2.2">
               <xs:annotation>
                  <xs:documentation>Dokumentation aus XOEV-Bibliothek:</xs:documentation>
                  <xs:documentation>Die konkrete Version der zu nutzenden Codeliste wird mit diesem XML-Attribut übertragen. Analog zum listURI ist die Bestimmung der Version einer Codeliste bei der Übertragung eines Codes zwingend. Die Version kann jedoch ebenfalls bereits im XÖV-Standard festgelegt werden (es handelt sich in diesem Fall um einen Code-Typ 1 oder 2).</xs:documentation>
               </xs:annotation>
            </xs:attribute>
         </xs:restriction>
      </xs:complexContent>
   </xs:complexType>
   <xs:complexType name="VerarbeitungCodeType">
      <xs:annotation>
         <xs:appinfo>
            <codeliste>
               <nameLang>Verarbeitung</nameLang>
               <nameKurz>Verarbeitung</nameKurz>
               <nameTechnisch>verarbeitung</nameTechnisch>
               <kennung>urn:de:mv:dvz:codelisten:verarbeitung</kennung>
               <beschreibung>Stand der Verarbeitung</beschreibung>
               <herausgebernameLang>Datenverarbeitungszentrum Mecklenburg-Vorpommern</herausgebernameLang>
               <herausgebernameKurz>DVZMV</herausgebernameKurz>
            </codeliste>
            <versionCodeliste/>
         </xs:appinfo>
      </xs:annotation>
      <xs:complexContent>
         <xs:restriction base="xoev-code:Code">
            <xs:sequence>
               <xs:element name="code" type="xs:token" form="unqualified">
                  <xs:annotation>
                     <xs:documentation>Dokumentation aus XOEV-Bibliothek:</xs:documentation>
                     <xs:documentation>In diesem XML-Element wird der Code einer Codeliste übermittelt.</xs:documentation>
                  </xs:annotation>
               </xs:element>
               <xs:element name="name"
                           minOccurs="0"
                           type="xs:normalizedString"
                           form="unqualified">
                  <xs:annotation>
                     <xs:documentation>Dokumentation aus XOEV-Bibliothek:</xs:documentation>
                     <xs:documentation>Mit diesem optionalen XML-Element kann die Beschreibung des Codes, wie in der jeweiligen Beschreibungsspalte der Codeliste vorgegeben, übermittelt werden.</xs:documentation>
                  </xs:annotation>
               </xs:element>
            </xs:sequence>
            <xs:attribute name="listURI"
                          type="xs:anyURI"
                          use="optional"
                          fixed="urn:de:mv:dvz:codelisten:verarbeitung">
               <xs:annotation>
                  <xs:documentation>Dokumentation aus XOEV-Bibliothek:</xs:documentation>
                  <xs:documentation>Mit diesem XML-Attribut wird die Kennung der Codeliste übermittelt, in deren Kontext der jeweilige Code zu interpretieren ist. Die Kennung identifiziert die Codeliste, nicht jedoch deren Version eindeutig. Wird bereits im Rahmen des XÖV-Standards eine Kennung vorgegeben (es handelt sich in diesem Fall um einen Code-Typ 1, 2 oder 3) darf auf eine nochmalige Angabe der Kennung bei der Übermittlung eines Codes verzichtet werden. Aus diesem Grund ist das XML-Attribut listURI zunächst als optional deklariert.</xs:documentation>
               </xs:annotation>
            </xs:attribute>
            <xs:attribute name="listVersionID" type="xs:normalizedString" use="required">
               <xs:annotation>
                  <xs:documentation>Dokumentation aus XOEV-Bibliothek:</xs:documentation>
                  <xs:documentation>Die konkrete Version der zu nutzenden Codeliste wird mit diesem XML-Attribut übertragen. Analog zum listURI ist die Bestimmung der Version einer Codeliste bei der Übertragung eines Codes zwingend. Die Version kann jedoch ebenfalls bereits im XÖV-Standard festgelegt werden (es handelt sich in diesem Fall um einen Code-Typ 1 oder 2).</xs:documentation>
               </xs:annotation>
            </xs:attribute>
         </xs:restriction>
      </xs:complexContent>
   </xs:complexType>
   <xs:complexType name="VerarbeitungsergebnisType">
      <xs:annotation>
         <xs:documentation>Verarbeitungsergebnis des Automatisierten Fachverfahrens (AFV)</xs:documentation>
      </xs:annotation>
      <xs:sequence>
         <xs:element name="transaktionID" type="xwaffe-kern:String.transaktionIDType">
            <xs:annotation>
               <xs:documentation>Transaktionsnummer der Meldung, dessen Verarbeitungsergebnis bereitgestellt wird.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="meldungsart" type="xwaffe-herstellerhaendler:MeldungsartCodeType">
            <xs:annotation>
               <xs:documentation>Art der Meldung.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="fehlerHinweis"
                     minOccurs="0"
                     maxOccurs="unbounded"
                     type="xwaffe-herstellerhaendler:FehlerHinweisType">
            <xs:annotation>
               <xs:documentation>Die im Rahmen der Verarbeitung aufgetretenen Hinweise und Fehler.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="ergebnisdaten"
                     minOccurs="0"
                     type="xwaffe-herstellerhaendler:ErgebnisdatenType">
            <xs:annotation>
               <xs:documentation>Angabe der neu registrierten Objekte mit ID bzw. der Status der Überlassungsabsicht.</xs:documentation>
            </xs:annotation>
         </xs:element>
      </xs:sequence>
   </xs:complexType>
   <xs:complexType name="VerarbeitungsprofilType">
      <xs:annotation>
         <xs:documentation>Identifizierende Angaben zum Abruf von Transaktionen mit ihrem Verarbeitungsstatus.</xs:documentation>
      </xs:annotation>
      <xs:sequence>
         <xs:element name="transaktionID"
                     minOccurs="0"
                     maxOccurs="unbounded"
                     type="xwaffe-kern:String.transaktionIDType">
            <xs:annotation>
               <xs:documentation>Transaktionsnummer der Meldung.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="transaktionsstatus"
                     minOccurs="0"
                     maxOccurs="unbounded"
                     type="xwaffe-herstellerhaendler:TransaktionsstatusCodeType">
            <xs:annotation>
               <xs:documentation>Status der Transaktion.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="meldezeitraum"
                     minOccurs="0"
                     type="xwaffe-kern:AbrufzeitraumType">
            <xs:annotation>
               <xs:documentation>Möglichkeit der Einschränkung auf die Meldungen in einem Zeitraum.</xs:documentation>
            </xs:annotation>
         </xs:element>
      </xs:sequence>
   </xs:complexType>
   <xs:complexType name="VerarbeitungsstatusType">
      <xs:annotation>
         <xs:documentation>Verarbeitungscode der Kopfstelle ggf. mit ergänzenden Angaben zu den aufgetretenen Fehlern.</xs:documentation>
      </xs:annotation>
      <xs:sequence>
         <xs:element name="verarbeitungscode"
                     type="xwaffe-herstellerhaendler:VerarbeitungCodeType">
            <xs:annotation>
               <xs:documentation>Verarbeitungsstand</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="fehlerKlartext" minOccurs="0" type="xoev-lc:String.Latin">
            <xs:annotation>
               <xs:documentation>In Ergänzung zu den Fehlernummern wird ein Fehlerklartext übergeben.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="weitereInformationen"
                     minOccurs="0"
                     type="xoev-lc:String.Latin">
            <xs:annotation>
               <xs:documentation>In Ergänzung zu den Fehlernummern wird ein durch die Kopfstelle (nicht AFV) erzeugter Fehlerklartext mit kontextbezogenen Zusatzinformationen zurückgegeben.</xs:documentation>
            </xs:annotation>
         </xs:element>
      </xs:sequence>
   </xs:complexType>
</xs:schema>
